Subject: CXX gets the value 'CC' on Cygwin, but CC is in fact cc

From: Peter Rosin <[email-masked]>
Date: Wed, 08 Feb 2012 22:04:13 +0100

Hi!

The testsuite on master tries to use lesser compilers, but on Cygwin
this causes some failures due to the fact that /usr/bin/cc{.exe} is
also recognized as /usr/bin/CC{.EXE} (due to the filesystem not being
case sensitive), leading to CXX being set to 'CC'.

But then CXX isn't a C++ compiler and some tests go downhill, namely
silent-many-generic.test and suffix3.tap.

Or something, I didn't look all that much at it.  Maybe the failure
in silent-many-generic.test is just a variant of the SunStudio CC
case mentioned in the comment?

Cheers,
Peter